| iTool User's Guide: Property Sheets and Browsers |

## File Readers

Select this folder to edit file reader preferences and properties. Available file reader types and their editable properties are listed in the following tables. For more information on reading in data of various types, see Importing and Exporting Data.

#### ASCII text

The ASCII text File Reader properties are:

Table 6-2: ASCII Text File Reader Properties

Table 6-2: ASCII Text File Reader Properties
Property | Control Type: Values
--- | ---
None | The ASCII text File Reader has no configurable properties other than Name and Description.

#### Binary data

The Binary data File Reader properties are:

Table 6-3: Binary Data File Reader Properties

Table 6-3: Binary Data File Reader Properties
Property | Control Type: Values
--- | ---
None | The Binary data Graphics File Reader has no configurable properties other than Name and Description.

#### DICOM Image

The DICOM Image File Reader properties are:

Table 6-4: DICOM Image File Reader Properties

Table 6-4: DICOM Image File Reader Properties
Property | Control Type: Values
--- | ---
None | The DICOM Image File Reader has no configurable properties other than Name and Description.

#### ESRI Shapefile

The ESRI Shapefile File Reader properties are:

Table 6-5: ESRI Shapefile File Reader Properties

Table 6-5: ESRI Shapefile File Reader Properties
Property | Control Type: Values
--- | ---
Combine all shapes | Boolean: If True then combine all of the shapes within the file into a single visualization (ShapePolygon, ShapePolyline, or ShapePoint). The default is to create a separate visualization for each shape.
Name attribute | String List: If the shapefile has attributes associated with each shape, then the Shapefile reader will attempt to use one of these attributes for the Name of the newly-created data and visualizations. The droplist contains all of the available attributes, and allows you to choose a different attribute to be used for the visualization name. If "Combine all shapes" is True then this property is insensitive, and the filename will be used for the Name of the resulting data and visualization.

#### Graphics Interchange Format

The Graphics Interchange Format (GIF) File Reader properties are:

Table 6-6: GIF File Reader Properties

Table 6-6: GIF File Reader Properties
Property | Control Type: Values
--- | ---
Image index | Number: The index of the image within the GIF file that should be read into the image data object.

#### iTools State

The iTools State File Reader properties are:

Table 6-7: iTools State File Reader Properties

Table 6-7: iTools State File Reader Properties
Property | Control Type: Values
--- | ---
None | The iTools State File Reader has no configurable properties other than Name and Description.

#### Joint Photographic Experts Group

The Joint Photographic Experts Group File Reader properties are:

Table 6-8: Joint Photographic Experts File Reader Properties

Table 6-8: Joint Photographic Experts File Reader Properties
Property | Control Type: Values
--- | ---
None | The Joint Photographic Experts Group File Reader has no configurable properties other than Name and Description.

#### JPEG2000

The JPEG2000 File Reader properties are:

Table 6-9: JPEG2000 File Reader Properties

Table 6-9: JPEG2000 File Reader Properties
Property | Control Type: Values
--- | ---
Levels to discard | A droplist giving the number of highest resolution levels which will not appear in the result. Image dimensions are divided by 2 to the power of this number. For example, if the image in the object has dimensions of 1024 x 1026, and DISCARD_LEVELS is set to 3, the resulting image will have dimensions of 128 x 129, which is the ceiling of [1024, 1026] divided by 23. The default is "None", implying that the full resolution image will be returned.
Quality layers | A droplist giving the maximum number of quality layers which will be returned in the result. Each layer contains the information required to represent the image at a higher quality, given the information from all the previous layers. A value of "All", the default, implies that all layers should be returned.

#### Macintosh PICT

The Macintosh PICT File Reader properties are:

Table 6-10: Macintosh PICT File Reader Properties

Table 6-10: Macintosh PICT File Reader Properties
Property | Control Type: Values
--- | ---
None | The Macintosh PICT File Reader has no configurable properties other than Name and Description.

#### Portable Network Graphics

The Portable Network Graphics File Reader properties are:

Table 6-11: Portable Network Graphics File Reader Properties

Table 6-11: Portable Network Graphics File Reader Properties
Property | Control Type: Values
--- | ---
None | The Portable Network Graphics File Reader has no configurable properties other than Name and Description.

#### Tag Image File Format

The Tag Image File Format File Reader properties are:

Table 6-12: Tag Image File Format File Reader Properties

Table 6-12: Tag Image File Format File Reader Properties
Property | Control Type: Values
--- | ---
Image index | Number: Level at which to begin image index. Edit the number to change the value. Default = `0`
Image Stacking | String List: Image stacking method. Select a method from the list. Choose between these values: +X -X +Y -Y +Z -Z Default = Read Single Image

#### Windows Bitmap

The Windows Bitmap File Reader properties are:

Table 6-13: Windows Bitmap File Reader Properties

Table 6-13: Windows Bitmap File Reader Properties
Property | Control Type: Values
--- | ---
None | The Windows Bitmap File Reader has no configurable properties other than Name and Description.

#### Windows Waveform Audio Stream

The Windows Waveform Audio Stream File Reader properties are:

Table 6-14: Windows Waveform Audio Stream File Reader Properties

Table 6-14: Windows Waveform Audio Stream File Reader Properties
Property | Control Type: Values
--- | ---
None | The Windows Waveform Audio Stream File Reader has no configurable properties other than Name and Description.

IDL Online Help (March 01, 2006)